<?php
/*##################################################
 #                               LastNews.php
 #                            -------------------
 #        Octobre 2011 SaTurNin
 # Port en 4.1 par Swan le 05/03/2015
 ###################################################*/

function menu_lastnews_lastnews($position, $block, $cat='') 

{
	global $Sql; // chargement de la classe $Sql en global
	
    // Le template
 	$tpl = new FileTemplate('menus/lastnews/lastnews.tpl'); 
	
	//la classe menu_service	
	MenuService::assign_positions_conditions($tpl, $block);
	
	
	if(!empty($cat) && ($cat != '')) {
		$LIM_cat = "AND id_category = " . $cat ;
	}else{ $LIM_cat = "" ; }
	
	//	La requette sur les news & cie
	$timestamp = time() ;
	$result = $Sql->query_while("SELECT id, id_category, name, creation_date, approbation_type, start_date, end_date
	FROM " . PREFIX . "news
	WHERE approbation_type = '1' OR ( approbation_type = '2' AND start_date < '".$timestamp."' AND ( end_date > '".$timestamp."' OR end_date = '0'))
	". $LIM_cat ."
	ORDER BY creation_date DESC
	" . $Sql->limit(0, 10), __LINE__, __FILE__); // limit compteur (depart,fin)

	while ($row = $Sql->fetch_assoc($result)) {
		$tpl->assign_block_vars('l_news', array(
			'N_TITLE' => $row['name'],
			'N_TIMESTAMP' => gmdate_format('date_format_short', $row['creation_date']),
			'URL' => url(HOST.DIR.'/news/news.php?id=' . $row['id'], HOST.DIR.'/news/news-0-' . $row['id'] . '+' . Url::encode_rewrite($row['name']) . '.php')
		 ));
	}
	
	//	Fermeture SQL
	$Sql->query_close($result);
	
	//	On passe au template
     return $tpl->render();
	}
 
?>